CANVAS_REGISTER_TRANSFORMS_FUNC(3)

FUNCTION
canvas_register_transforms_func - Register non-linear co-ordinate transformation function.

SYNOPSIS
#include <karma_canvas.h>

void canvas_register_transforms_func

(KWorldCanvas canvas, void (*coord_transform_func) (), void *info)

DESCRIPTION
This routine will register the co-ordinate transform function for a world canvas. The co-ordinate transform function transforms the linear world co-ordinates used internally by the world canvas to be transformed into non-linear co-ordinates for external use. Only one co-ordinate transform function is permitted per canvas.

canvas
    The world canvas object.

coord_transform_func
    The function that is called when co-ordinates are to be transformed. The prototype function is <-canvas_PROTO_coord_transform_func->. If an existing transformation function is registered, it is overwritten.

info
    The initial arbitrary transform information pointer.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/